Bug 495511 - kernel panic - not syncing: IO-APIC + timer does not work boot with apic=debug
kernel panic - not syncing: IO-APIC + timer does not work boot with apic=debug
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.4
All Linux
low Severity urgent
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 11:33 EDT by amitabh.x.pandey
Modified: 2009-04-30 10:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 10:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amitabh.x.pandey 2009-04-13 11:33:31 EDT
Description of problem:
There was a kernel panic and  below is the message which i could see on the server.

"kernel panic - not syncing: IO-APIC + timer does not work boot with apic=debug"

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux AS release 4 (Nahant Update 4)

  
Can some one help me what can be the fix.

Thanks
AMitabh
Comment 1 amitabh.x.pandey 2009-04-13 11:34:22 EDT
Please refer attached screen shot for kerel panic
Comment 2 Jarod Wilson 2009-04-13 11:38:17 EDT
Setting proper component -- kernel panics generally need to be filed against the kernel, not kernel-utils.

First suggestion for working towards a resolution: try a newer Red Hat Enterprise Linux 4 kernel, update 4 is quite old at this point in time -- update 8 is currently in beta -- so its entirely possible this is something that has already been fixed.
Comment 3 amitabh.x.pandey 2009-04-13 11:39:20 EDT
And server is the Virtual Machine running under VMware ESX.
thanks
Amitabh
Comment 4 amitabh.x.pandey 2009-04-13 11:42:29 EDT
Hello JWilson,

Thanks for your response.

WIll you be able to tell me in which RHEL-4 update,this bug is fixed ?

and do you think there is a problem with the way the BIOS has set up IRQ routing (be referring kernel panic screenshot.)

THanks
Amitabh
Comment 5 Prarit Bhargava 2009-04-15 10:26:16 EDT
(In reply to comment #4)
> Hello JWilson,
> 
> Thanks for your response.
> 
> WIll you be able to tell me in which RHEL-4 update,this bug is fixed ?
> 

Please grab the latest kernel rpm from

http://people.redhat.com/~vgoyal/rhel4/

and retest.

Thanks,

P.
Comment 6 amitabh.x.pandey 2009-04-17 12:35:51 EDT
Hi,

I can fetch the latest kernel RPM but would like what is causing the panic.

thanks
AMitabh
Comment 7 Prarit Bhargava 2009-04-17 13:06:12 EDT
Hi Amitabh, you've only included a single generic sentence from the panic.  The panic could be caused by any number of issues.

First, however, let's see if the panic still occurs with the latest kernel.  If it works then we'll see if we can determine what patch has resolved your problem.  If it doesn't work then I'll have to get more information from you.

P.

Note You need to log in before you can comment on or make changes to this bug.